## EmpathyCallFactory

EmpathyCallFactory

## Synopsis

                        EmpathyCallFactory;
    EmpathyCallFactory * empathy_call_factory_initialise    (void);
    EmpathyCallFactory * empathy_call_factory_get           (void);
    void                empathy_call_factory_new_call       (EmpathyCallFactory *factory,
                                                             EmpathyContact *contact);
    void                empathy_call_factory_claim_channel  (EmpathyCallFactory *factory,
                                                             EmpathyDispatchOperation *operation);

## Object Hierarchy

      GObject
       +----EmpathyCallFactory

## Signals

      "new-call-handler"                               : Run Last

## Description

## Details

### EmpathyCallFactory

    typedef struct _EmpathyCallFactory EmpathyCallFactory;

### empathy_call_factory_initialise ()

    EmpathyCallFactory * empathy_call_factory_initialise    (void);

Returns : |

### empathy_call_factory_get ()

    EmpathyCallFactory * empathy_call_factory_get           (void);

Returns : |

### empathy_call_factory_new_call ()

    void                empathy_call_factory_new_call       (EmpathyCallFactory *factory,
                                                             EmpathyContact *contact);

`factory` : |
`contact` : |

### empathy_call_factory_claim_channel ()

    void                empathy_call_factory_claim_channel  (EmpathyCallFactory *factory,
                                                             EmpathyDispatchOperation *operation);

`factory` : |
`operation` : |

## Signal Details

### The `"new-call-handler"` signal

    void                user_function                      (EmpathyCallFactory *empathycallfactory,
                                                            EmpathyCallHandler *arg1,
                                                            gboolean            arg2,
                                                            gpointer            user_data)               : Run Last

`empathycallfactory` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.